## pyswarms 1.1.0+dfsg

=== requirements.txt ===
attrs==18.1.0
cycler==0.10.0
future==0.16.0
kiwisolver==1.0.1
matplotlib==3.0.2
numpy==1.16.1
pyparsing==2.3.1
python-dateutil==2.7.5
scipy==1.2.0
six==1.12.0
tqdm==4.24.0

=== debian/changelog ===
pyswarms (1.1.0+dfsg-3) unstable; urgency=medium

  * autopkgtest:
    - Add python3-matplotlib to Depends
    - Add allow-stderr Restriciton for matplotlib warning
  * Improve build process for documentation

 -- Christian Kastner <ckk@debian.org>  Sun, 03 May 2020 16:20:17 +0200

pyswarms (1.1.0+dfsg-2) unstable; urgency=medium

  * Add python3-yaml to Depends of python3-pyswarms
    This didn't get picked up during build. Discovered by debci
  * Add python3-pyswarms to Suggests of python-pyswarms-doc
  * Add python3-matplotlib to Recommends of python3-pyswarms

 -- Christian Kastner <ckk@debian.org>  Fri, 24 Apr 2020 21:30:44 +0200

pyswarms (1.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #958123)

 -- Christian Kastner <ckk@debian.org>  Sun, 19 Apr 2020 00:55:44 +0200

=== debian/control ===
Source: pyswarms
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper-compat (= 12),
    dh-python,
    python3-all,
    python3-setuptools,
    python3-attr,
    python3-numpy,
    python3-scipy,
    python3-future,
    python3-yaml,
    python3-tqdm,
    python3-matplotlib,
    python3-pytest <!nocheck>,
    python3-sphinx <!nodoc>,
    python3-sphinx-rtd-theme <!nodoc>,
    python3-nbsphinx <!nodoc>,
    pandoc <!nodoc>,
    python3-pandocfilters <!nodoc>,
# For intersphinx inventories (as seen in statsmodels)
    python3-doc <!nodoc>,
    python-numpy-doc <!nodoc>,
    python-scipy-doc <!nodoc>,
    python-matplotlib-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ljvmiranda921/pyswarms/
Vcs-Browser: https://salsa.debian.org/science-team/pyswarms
Vcs-Git: https://salsa.debian.org/science-team/pyswarms.git

Package: python3-pyswarms
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends},
    python3-yaml
Recommends:
    python3-matplotlib
Suggests: python-pyswarms-doc
Description: research toolkit for particle swarm optimization in Python
 PySwarms is an extensible research toolkit for particle swarm optimization
 (PSO) in Python.
 .
 It is intended for swarm intelligence researchers, practitioners, and students
 who prefer a high-level declarative interface for implementing PSO in their
 problems. PySwarms enables basic optimization with PSO and interaction with
 swarm optimizations.
 .
 Features:
   * High-level module for Particle Swarm Optimization
   * Built-in objective functions to test optimization algorithms
   * Plotting environment for cost histories and particle movement
   * Hyperparameter search tools to optimize swarm behaviour
 .
 This package contains the Python 3.x version of PySwarms.

Package: python-pyswarms-doc
Architecture: all
Section: doc
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends},
    libjs-requirejs,
    libjs-mathjax,
    fonts-mathjax,
Suggests:
    python3-pyswarms,
    ipython3,
    python3-matplotlib,
    python3-seaborn,
Description: documentation and examples for PySwarms
 PySwarms is an extensible research toolkit for particle swarm optimization
 (PSO) in Python.
 .
 It is intended for swarm intelligence researchers, practitioners, and students
 who prefer a high-level declarative interface for implementing PSO in their
 problems. PySwarms enables basic optimization with PSO and interaction with
 swarm optimizations.
 .
 Features:
   * High-level module for Particle Swarm Optimization
   * Built-in objective functions to test optimization algorithms
   * Plotting environment for cost histories and particle movement
   * Hyperparameter search tools to optimize swarm behaviour
 .
 This package contains the documentation and examples for PySwarms.

## pyswarms 1.3.0

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help
define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT
BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

build: venv requirements.txt ## Sync virtual environment with dependencies
	venv/bin/pip-sync

dev: venv requirements-dev.txt ## Create development environment
	venv/bin/pip-sync requirements-dev.txt

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts


clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint: ## check style with flake8
	flake8 pyswarms tests

test: ## run tests quickly with the default Python
	python setup.py test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source pyswarms setup.py test
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -p '*.ipynb' -c '$(MAKE) -C docs html' -R -D .

release: clean ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

venv: ## Create virtualenv and install pip-tools
	python3 -m venv venv
	venv/bin/pip3 install pip-tools

requirements.txt: requirements.in ## Generate requirements.txt file
	venv/bin/pip-compile -o requirements.txt --no-header --no-annotate requirements.in

requirements-dev.txt: requirements-dev.in ## Generate requirements-dev.txt file
	venv/bin/pip-compile -o requirements-dev.txt --no-header --no-annotate requirements-dev.in

=== requirements.txt ===
--- 
+++ 
@@ -9,3 +9,4 @@
 scipy==1.2.0
 six==1.12.0
 tqdm==4.24.0
+pyyaml==5.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyswarms.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyswarms.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyswarms"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyswarms"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pyswarms (1.3.0-9) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Sphinx 8 (Closes: #1090124)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Dec 2024 21:26:05 +0100

pyswarms (1.3.0-8) unstable; urgency=medium

  * Team upload.

  [ James Addison ]
  * Configure static alt text for buildtime-generated animation images,
    this makes the build reproducible.  Closes: #1064575

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 31 Jul 2024 18:15:04 +0900

pyswarms (1.3.0-7) unstable; urgency=medium

  * Team upload.
  * Add a patch from Upstream to enable compatibility with matplotlib 3.8
    (Closes: #1074629)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jul 2024 15:36:04 +0200

pyswarms (1.3.0-6) unstable; urgency=medium

  * Team upload.
  * Drop python3-future from Build-Depends
  * Replace past.xrange by range
    Closes: #1056445, #1058390
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jan 2024 15:26:07 +0100

pyswarms (1.3.0-5) unstable; urgency=medium

  * Team Upload.
  * Remove intra-sphinx docs for packages whose -doc
    packages have been removed (Closes: #1027557)
  * Add patch to fix FTBFS with numpy 1.24 (Closes: #1027218)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 Jan 2023 12:03:49 +0530

pyswarms (1.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-pyswarms-doc: Add Multi-Arch: foreign.

  [ Christian Kastner ]
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * autopkgtest: Use py3versions --supported instead of --requested
    - Add python3-all as autopkgtest dependency
  * Bump copyright

 -- Christian Kastner <ckk@debian.org>  Sun, 18 Dec 2022 22:47:15 +0100

pyswarms (1.3.0-3) unstable; urgency=medium

  * Fix d/watch
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13

 -- Christian Kastner <ckk@debian.org>  Fri, 04 Mar 2022 19:32:38 +0100

pyswarms (1.3.0-2) unstable; urgency=medium

  * Team Upload.
  * d/p/Fix-FTBFS-with-new-sphinx.patch: Change api call
    to fix doc building with sphinx 4.2.0 (Closes: #997374)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 29 Oct 2021 19:41:43 +0000

pyswarms (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Kastner <ckk@debian.org>  Tue, 12 Jan 2021 20:45:45 +0100

pyswarms (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    + Drop patches included upstream
    + Refresh patches
    + d/copyright: Drop +dfsg repackaging
  * Create d/upstream/metadata
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Mon, 07 Dec 2020 18:12:30 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pyswarms

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# Needed by python-pyswarms-doc.docs regardless of if we build or not
	mkdir -p docs/_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
	http_proxy='127.0.0.1:9' \
	https_proxxy='127.0.0.1:9' \
	$(MAKE) -C docs html
endif

override_dh_auto_install:
	# Stray file that gets generated during build and test
	rm -f report.log .pybuild/*/build/report.log docs/report.log
	dh_auto_install

override_dh_installdocs:
	dh_installdocs --package=python-pyswarms-doc --doc-main-package=python3-pyswarms
	dh_installdocs --remaining-packages

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache
ifneq (,$(filter python-pyswarms-doc,$(shell dh_listpackages)))
	$(MAKE) -C docs clean
endif

=== debian/tests/control ===
Tests: upstream-python3
Depends: python3-all, python3-pyswarms, python3-pytest, python3-matplotlib
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v\.(\d\S*)\.tar\.gz/pyswarms-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg//,\
repacksuffix=+dfsg \
https://github.com/ljvmiranda921/pyswarms/tags .*/v\.(\d\S*)\.tar\.gz
